Feature: GUI of Synergy (BSM)

	Background:
		Given I am logged in
		And I am on the tac

	Scenario: Load GUI
		Given I hover over the "Monitor" menu
		And I click "Business Services"
		Then I should see "Business Object"

	Scenario: Add and delete object
		Given I hover over the "Monitor" menu
		And I click "Business Services"
		And I click "New Business Service"
		And I click "Worst state"
		And I enter "A BSM object" into "name"
		And I check "is-use"
		And I enter "monitor" into "materialized_flexselect"
		And I click "create"
		Then I should see "A BSM object"
		And I should see css "#notification-board"
		And I shouldn't see "create"
		And I shouldn't see "Sorry, an element with the same name"

		When I click css "#sync-button"
		Then I should see "A BSM object"
		Then I shouldn't see "You have unsaved configuration changes. Please press SAVE to activate them."

		When I reload the page
		Then I should see "A BSM object"

		When I click css "tr[data-url='A%20BSM%20object'] .action-button.delete"
		Then I should see css "#notification-board"
		And I should see "You have unsaved configuration changes. Please press SAVE to activate them."

		When I click css "#sync-button"
		Then I shouldn't see "A BSM object"
		And I shouldn't see "Worst state"
		And I should see "Test-Drive"
